#
# spec file for package urbanterror-data
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           urbanterror-data
Version:        4.3.4
Release:        1.1
Url:            http://www.urbanterror.info/
Summary:        Urban Terror game files
# http://www.urbanterror.info/support/202-quake-3-sdk/
License:        SUSE-Freeware
Group:          Amusements/Games/3D/Shoot
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         https://cdn.urbanterror.info/urt/43/releases/zips/UrbanTerror434_full.zip
NoSource:       0
BuildRequires:  unzip
BuildArch:      noarch
Requires:       urbanterror >= %{version}

%description
Urban Terror can be described as a Hollywood tactical shooter;
somewhat realism based, but the motto is "fun over realism"
which results in a very unique, enjoyable and addictive game.

This package contains only the game files which are covered
by the Quake III SDK End User License Agreement.

%prep
%setup -q -n UrbanTerror43
#remove binaries
rm -rf Quake3-UrT*

%build

%install
mkdir -p %{buildroot}%{_datadir}/urbanterror/q3ut4
cp -r q3ut4/* %{buildroot}%{_datadir}/urbanterror/q3ut4

%files
%{_datadir}/urbanterror

%changelog
* Sat Aug 11 2018 rpm@fthiessen.de
- Update to 4.3.4
  * Fixed the random crash issues which happened especially on the
    map Eagle
  * Fixed players being stuck with level 19 in Gun Game when
    g_randomorder was set to 1
  * Magnum: fixed the reload animation and the reappearance of the
    crosshair not being completely synced
  * Fixed map/next map vote menu ignoring previously highlighted
    map and calling vote with the first map on the list
  * Menus: fixed inconsistencies in leading space in weapon
    select screen.
- Changes from 4.3.3
  * Updated quake3's master server port in server_example.cfg
    (please update your custom server configs!)
  * Fixed substitute players randomly spawning and being invincible
    on map restart in certain game modes
  * Jump mode: Fixed wrong value of y-axis being used when loading
    a saved position in Jump mode
  * Jump mode: fixed persistent position saving which was sometimes
    loading another player's saved position
  * Gun Game: fixed being stuck with the HK69
  * Tweaked the FR-F1: torso/vest hits make players bleed.
    Zoom reset if getting >= 50%% of damage (previously: 20%%)
  * Tweaked P90's and Benelli's positions on screen
  * Potentially fixed fire mode of a spectated player's weapon
    being sometimes picked up
  * Fixed bots failing to load on Cascade and Kingdom
  * Potentially fixed the "Couldn't find weapon xx" error which was
    introduced in 4.2.014
* Mon May  1 2017 mailaender@opensuse.org
- update to 4.3.2
  * Scoreboard columns sorting update: KAD columns now reads KDA (kills, deaths, assists)
  * Added assists to player sorting (K>D>A) on scoreboard
  * Renamed ".44 Magnum" to "Magnum" in the kill events
  * Fixed scores not updating in time when moving to intermission #142
  * Fixed $gametime and $roundtime calculation #346
  * Prevent bots from switching to knife
  * Disabled the gear selection menu in InstaGib
  * Everyone has a medkit as their sole item
  * Display a gamemode explanation text + an "INSTAGIB" box in the team selection menu
  * Added a gamemode identifier, " - INSTAGIB" next to the game mode name on the map load screen
  * Added a cvar g_randomorder (0/1): random gun order on map load
  * Fixed scoreboard sorting inconsistencies #319
  * Fixed a server crash when two players would win simultaneously in GunGame
  * New sound for the Glock when a silencer is equipped
  * Minor weapon specs enhancements
  * Fixed bot_minplayers not working properly
  * New version for Paris fixing #335 and #361 along with other enhancements
  * Added support for r_noborder in the menu files
  * Fixed weapon verification of items when primary is 'none' #320
  * New .arena scripts for maps to include the newer gametypes in the server creation menu
  * Updated default.cfg, server_example.cfg & mapcycle_example.txt
  * The command players now correctly displays auth logins and assists were added
* Sun Oct 16 2016 mailaender@opensuse.org
- update to 4.3.1
* Sun Feb  1 2015 mailaender@opensuse.org
- update to 4.2.023
* Sun Jan 11 2015 mailaender@opensuse.org
- update to 4.2.022
* Sat Nov 22 2014 mailaender@opensuse.org
- update to 4.2.021
  * Updated text with new font (Roboto) and drop shadow
  * Decreased font sizes around the HUD
  * Revamp of the mini scoreboard and team overlay
  * Updated netgraph
  * Updated the player health and damage area. There's now a health percentage indicator (toggleable with cg_drawhealth)
  * Improvement of the item and weapon select boxes
  * Enhancement of the "3, 2, 1, Go" beep on warmup countdown
  * Added cvar: cg_countdownSound to disable the "3, 2, 1, Go" beeps
  * Updated the timers - right aligned and new timer and hotpotato icons
  * Highlighted map names in orange if they need to be downloaded (in the server browser menu)
  * Added $hp chat var
  * Updated chat variable substitution. Variable names that are not recognized by the server will not be consumed (you can now type 0)
  * Updated the vote HUD element
  * Used Team Survivor walls in Freeze Tag
  * Added forcesub rcon command
  * Added forcecaptain rcon command
  * Combined red and blue wave timers if they're equal
  * Added cg_showbullethits 3
  * Added ability to use "all" with the forceteam command
  * Added swap rcon command to swap two players
  * Added cg_drawclock which replaces cl_drawclock (1 for a 24-hour clock, and 2 for a 12-hour clock)
  * Fixed spawn arrangement on Docks #100
  * Fixed a missing texture on Ricochet #110
  * Fixed the occasional timeout flights #114
  * Fixed status of defusing players being set to "FRZN" #115
  * Made dropped bomb yellow on the minimap #82
  * Fixed cumulative g_inactivity timer #41
  * Fixed blurry ammo icons
  * Fixed speedometer and accelerometer positioning when cg_hudWeaponInfo allows it
  * Fixed speedometer overlapping weapon info
  * Fixed helmet being rendered on top of NVG shader
  * Fixed "x team wins" skinning #132
  * Fixed bomb being lost to the void #11
  * Fixed first shot accuracy in perfect conditions #134
  * Changed LEADER to LEAD on the scoreboard #138
  * Fixed C&H flags not being counted when the timelimit is hit
  * Fixed skin readme text positioning #136
  * Fixed skin selection menu starting empty #118
  * Unlocked cl_pitchspeed #139
  * Changed "Enemies: x" to "Players: x" in Jump mode
* Fri Oct  3 2014 mailaender@opensuse.org
- update to 4.2.020
* Sun Feb  9 2014 mailaender@opensuse.org
- update to 4.2.018
* Tue Dec 24 2013 mailaender@opensuse.org
- update to 4.2.017
* Thu Oct  3 2013 mailaender@opensuse.org
- update to 4.2.015
  * Fixed the alignment of a window texture on one of the buildings in the nonplay area of Turnpike
  * Decreased the specular effect on the SPAS12
  * Decreased the specular effect on the Colt 1911 and darken the current texture
  * Fixed Colt 1911 whiteout bug
  * Re-timed Colt 1911 reload animation
  * Increased Colt 1911 spread
  * Updated Mac11 sounds
  * Reduced Mac11 spread
  * Changed the vests and helmets for the SWAT and Red Dragons to 4.1 solid colours
  * Changed the vests for Free team to dark grey
* Sat Jul 13 2013 mailaender@opensuse.org
- update to 4.2.014
  * Fixed Colt animation mismatch
  * Tuned up Glock specs
  * Remove dropped items and corpses during TS warmup
  * Enabled pasting text from the clipboard to other UI fields
* Sat Jul  6 2013 mailaender@opensuse.org
- update to 4.2.013
  * Fixed the seam on the back of the SR8
  * Fixed the doors near the pillars and some z-fighting on Turnpike
  * Fixed missing skin on team swaps
  * Restore previous behaviour of armband colour for enemy team
  * Fixed no step sound mode Jump mode when landing on a normal surface and g_nodamage is enabled
  * Fixed /ignore and /ignorelist commands
  * Added new command /maplist which will display all the maps available on the server
  * Added partial substring matching for client/map searching
  * Added visual player count in scoreboard for both free and spectator teams
  * Removed g_ghostPlayers CVAR. Feature moved clientside: cg_ghost 0/1
  * Updated UI password filter's labels in the server browser: zUrT42_0009_2013_06_03a
  * Renamed CVAR: g_maxWallJumps -> g_walljumps
  * Renamed CVAR: cg_showFunstuff -> cg_funstuff
  * Renamed CVAR: g_allowFunstuff -> g_funstuff
  * Merged g_noStamina and g_regainStamina into g_stamina: 0 = default stamina, 1 = regain stamina, 2 = infinite stamina
  * Renamed CVAR: g_allowForceSkins -> g_skins
  * Renamed CVAR: g_maxJumpRuns -> g_jumpruns
  * Removed SERVERINFO flag from g_cahTime
  * Fixed SPAS hits being displayed after player death
  * Added missing BOMB defuse autoradio sound
  * Added new hitlocations: Groin, Butt, Leg Upper Left, Leg Upper Right, Leg Lower Left, Leg Lower Right, Foot Left, Foot Right
  * Updated damage table according to the new hit locations
  * Fixed some char cases in in-game messages
  * Added goto and allowgoto commands for Jump Mode (can be disabled with g_allowgoto 0)
  * Added permanent position saving in Jump Mode
  * Added Ingram Mac11 (submachine gun) and Colt1911 (sidearm)
  * Added a new skin set based on the Droogs from A Clockwork Orange (it is #12)
  * Fixed bug allowing players to defuse bomb with a live nade in hand
  * Fixed bug showing hits causing 0%% damage with the spas
  * Added cg_chatSound, (2 = all chat sounds, 1 = just vote sounds, 0 = no chat sounds)
  * Removed cg_sfxteambands (unused cvar)
* Sun May 26 2013 mailaender@opensuse.org
- update to 4.2.012
  * Fixed the armbands on race 1 and 3 of the Cavalry skins
  * Fixed the clipping issues on Prague v2
  * Increased the brightness inside the office on Turnpike
* Fri Apr 12 2013 mailaender@opensuse.org
- update to 4.2.011
  * Updated the lighting in Turnpike so that it is closer to the 4.1 lighting
- changes from 4.2.10
  * Fixed a wall that you could be shot through in Turnpike
* Mon Dec 31 2012 mailaender@opensuse.org
- update to 4.2.009
  * Updated the scoreboard.
  * Updated the FFA/LMS spawns in ut4_uptown.
  * Updated ut4_ramelle's tunnels, removed some plants in the water, removed some buildings in the non-playable area and added some vis blocking to improve fps.
  * Enhanced cg_autopickup 0. It now picks up just the item the player is aiming at.
  * Enhanced the RCON UI menu.
  * Optimized the QVM. No more server slow down due to the Spas.
  * Added new Spas icon.
  * Added new entity ut_jumpcancel to cancel a player run and reset the run timer.
  * New version of ut4_jumpents test map with new ut_jumpcancel entity.
  * Added Jump mode coloured ways. Mappers now have the option to set coloured routes on a Jump map.
  * Added the Glock.
* Sun Dec  9 2012 mailaender@opensuse.org
- update to 4.2.008
  * Player model animations updated.
  * New skins for FFA, LMS and Jump gametypes.
  * Added fog to the water in ut4_ramelle.
  * Updated the Hit Mesh.
- Frozen Sand now also distributes a ZIP file for packaging purposes again
* Fri Nov 16 2012 mailaender@opensuse.org
- update to 4.2.006
  * Updated model and skin for SPAS.
  * Updated model and skin for DE.
  * Updated skin for Red Dragons' playermodel's hand.
  * Updated camo for blue team.
  * Updated icons for medic calling, bomb planting and bomb defusing.
* Sun Nov  4 2012 mailaender@opensuse.org
- update to 4.2.005
  * Updated skins.
  * Fixed the ledge climb animation.
* Mon Oct 29 2012 mailaender@opensuse.org
- update to 4.2.004
* Fri Oct 26 2012 mailaender@opensuse.org
- update to 4.2.003
* Mon Oct  8 2012 mailaender@opensuse.org
- update to 4.2.002
  * Fixed the size of the G36
  * Updated the maps Kingdom, Raiders and Casa. You should not get stuck anymore, also no more hiding inside rocks.
  * Updated the SPAS12 so it has 20 pellets instead of 11 and adjusted the damage accordingly.
  * Added back a laser to the AK103, like how it was in 4.1.
  * Added a mapcycle.txt file for servers.
* Thu Sep 27 2012 mailaender@opensuse.org
- initial release
